OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | List of all members
juce::dsp::ProcessorState Struct Reference

`#include <juce_ProcessContext.h>`

Inheritance diagram for juce::dsp::ProcessorState:

## Public Types
using | Ptr = ReferenceCountedObjectPtr<ProcessorState>

## Additional Inherited Members
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

This is a handy base class for the state of a processor (such as parameter values) which is typically shared among several processors. This is useful for multi-mono filters which share the same state among several mono processors.

Definition at line 67 of file juce_ProcessContext.h.

## Member Typedef Documentation

## ◆ Ptr

using juce::dsp::ProcessorState::Ptr = ReferenceCountedObjectPtr<ProcessorState>

The ProcessorState structure is ref-counted, so this is a handy type that can be used as a pointer to one.

Definition at line 72 of file juce_ProcessContext.h.

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h